Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domain.F90
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domain.F90	(revision 2863)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domain.F90	(revision 3839)
@@ -247,5 +247,5 @@
       !!      vertical scale factors.
       !!
-      !! ** Method  : - reference 1D vertical coordinate (gdep._0, e3._0)
+      !! ** Method  : - reference 1D vertical coordinate (gdep._1d, e3._1d)
       !!              - read/set ocean depth and ocean levels (bathy, mbathy)
       !!              - vertical coordinate (gdep., e3.) depending on the 
Index: branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domrea.F90
===================================================================
--- branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 2863)
+++ branches/2011/dev_r2739_LOCEAN8_ZTC/NEMOGCM/NEMO/OFF_SRC/domrea.F90	(revision 3839)
@@ -174,14 +174,14 @@
             CALL iom_get( inum4, jpdom_data, 'e3w', e3w )
 
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 ) ! depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d ) ! depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
          ENDIF
 
  
          IF( ln_zps ) THEN                                           ! z-coordinate - partial steps
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 )    ! reference depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
-            CALL iom_get( inum4, jpdom_unknown, 'e3t_0'  , e3t_0   )    ! reference scale factors
-            CALL iom_get( inum4, jpdom_unknown, 'e3w_0'  , e3w_0   )
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d )    ! reference depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
+            CALL iom_get( inum4, jpdom_unknown, 'e3t_1d'  , e3t_1d   )    ! reference scale factors
+            CALL iom_get( inum4, jpdom_unknown, 'e3w_1d'  , e3w_1d   )
             !
             IF( nmsh <= 6 ) THEN                                        ! 3D vertical scale factors
@@ -195,14 +195,14 @@
                !                                                        ! deduces the 3D scale factors
                DO jk = 1, jpk
-                  e3t(:,:,jk) = e3t_0(jk)                                     ! set to the ref. factors
-                  e3u(:,:,jk) = e3t_0(jk)
-                  e3v(:,:,jk) = e3t_0(jk)
-                  e3w(:,:,jk) = e3w_0(jk)
+                  e3t(:,:,jk) = e3t_1d(jk)                                    ! set to the ref. factors
+                  e3u(:,:,jk) = e3t_1d(jk)
+                  e3v(:,:,jk) = e3t_1d(jk)
+                  e3w(:,:,jk) = e3w_1d(jk)
                END DO
                DO jj = 1,jpj                                                  ! adjust the deepest values
                   DO ji = 1,jpi
                      ik = mbkt(ji,jj)
-                     e3t(ji,jj,ik) = e3tp(ji,jj) * tmask(ji,jj,1) + e3t_0(1) * ( 1._wp - tmask(ji,jj,1) )
-                     e3w(ji,jj,ik) = e3wp(ji,jj) * tmask(ji,jj,1) + e3w_0(1) * ( 1._wp - tmask(ji,jj,1) )
+                     e3t(ji,jj,ik) = e3tp(ji,jj) * tmask(ji,jj,1) + e3t_1d(1) * ( 1._wp - tmask(ji,jj,1) )
+                     e3w(ji,jj,ik) = e3wp(ji,jj) * tmask(ji,jj,1) + e3w_1d(1) * ( 1._wp - tmask(ji,jj,1) )
                   END DO
                END DO
@@ -219,6 +219,6 @@
                !
                DO jk = 1, jpk                        ! set to z-scale factor if zero (i.e. along closed boundaries)
-                  WHERE( e3u(:,:,jk) == 0._wp )   e3u(:,:,jk) = e3t_0(jk)
-                  WHERE( e3v(:,:,jk) == 0._wp )   e3v(:,:,jk) = e3t_0(jk)
+                  WHERE( e3u(:,:,jk) == 0._wp )   e3u(:,:,jk) = e3t_1d(jk)
+                  WHERE( e3v(:,:,jk) == 0._wp )   e3v(:,:,jk) = e3t_1d(jk)
                END DO
             END IF
@@ -232,6 +232,6 @@
                !
                DO jk = 1, jpk                                              ! deduces the 3D depth
-                  gdept(:,:,jk) = gdept_0(jk)
-                  gdepw(:,:,jk) = gdepw_0(jk)
+                  gdept(:,:,jk) = gdept_1d(jk)
+                  gdepw(:,:,jk) = gdepw_1d(jk)
                END DO
                DO jj = 1, jpj
@@ -250,14 +250,14 @@
 
          IF( ln_zco ) THEN           ! Vertical coordinates and scales factors
-            CALL iom_get( inum4, jpdom_unknown, 'gdept_0', gdept_0 ) ! depth
-            CALL iom_get( inum4, jpdom_unknown, 'gdepw_0', gdepw_0 )
-            CALL iom_get( inum4, jpdom_unknown, 'e3t_0'  , e3t_0   )
-            CALL iom_get( inum4, jpdom_unknown, 'e3w_0'  , e3w_0   )
+            CALL iom_get( inum4, jpdom_unknown, 'gdept_1d', gdept_1d ) ! depth
+            CALL iom_get( inum4, jpdom_unknown, 'gdepw_1d', gdepw_1d )
+            CALL iom_get( inum4, jpdom_unknown, 'e3t_1d'  , e3t_1d   )
+            CALL iom_get( inum4, jpdom_unknown, 'e3w_1d'  , e3w_1d   )
          ENDIF
 
 !!gm BUG in s-coordinate this does not work!
       ! deepest/shallowest W level Above/Below ~10m
-      zrefdep = 10._wp - ( 0.1_wp * MINVAL(e3w_0) )                  ! ref. depth with tolerance (10% of minimum layer thickness)
-      nlb10 = MINLOC( gdepw_0, mask = gdepw_0 > zrefdep, dim = 1 )   ! shallowest W level Below ~10m
+      zrefdep = 10._wp - ( 0.1_wp * MINVAL(e3w_1d) )                  ! ref. depth with tolerance (10% of minimum layer thickness)
+      nlb10 = MINLOC( gdepw_1d, mask = gdepw_1d > zrefdep, dim = 1 )   ! shallowest W level Below ~10m
       nla10 = nlb10 - 1                                              ! deepest    W level Above ~10m
 !!gm end bug
@@ -300,10 +300,10 @@
          WRITE(numout,*) '              Reference z-coordinate depth and scale factors:'
          WRITE(numout, "(9x,' level   gdept    gdepw     e3t      e3w  ')" )
-         WRITE(numout, "(10x, i4, 4f9.2)" ) ( jk, gdept_0(jk), gdepw_0(jk), e3t_0(jk), e3w_0(jk), jk = 1, jpk )
+         WRITE(numout, "(10x, i4, 4f9.2)" ) ( jk, gdept_1d(jk), gdepw_1d(jk), e3t_1d(jk), e3w_1d(jk), jk = 1, jpk )
       ENDIF
 
       DO jk = 1, jpk
-         IF( e3w_0  (jk) <= 0._wp .OR. e3t_0  (jk) <= 0._wp )   CALL ctl_stop( ' e3w_0 or e3t_0 =< 0 ' )
-         IF( gdepw_0(jk) <  0._wp .OR. gdept_0(jk) <  0._wp )   CALL ctl_stop( ' gdepw_0 or gdept_0 < 0 ' )
+         IF( e3w_1d  (jk) <= 0._wp .OR. e3t_1d  (jk) <= 0._wp )   CALL ctl_stop( ' e3w_1d or e3t_1d =< 0 ' )
+         IF( gdepw_1d(jk) <  0._wp .OR. gdept_1d(jk) <  0._wp )   CALL ctl_stop( ' gdepw_1d or gdept_1d < 0 ' )
       END DO
       !                                     ! ============================
